当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 无法更新内核
帖子发表于 : 2008-08-31 0:40 

注册: 2008-08-12 13:18
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
正预备替换 linux-image-2.6.24-19-generic 2.6.24-19.36 (使用 .../linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb) ...
Done.
正在解压缩将用于更替的包文件 linux-image-2.6.24-19-generic ...
dpkg:处理 /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.41_i386.deb (--unpack)时出错:
无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-19-generic”做一个符号链接备份: 操作不允许
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24-21-generic
Found kernel: /boot/vmlinuz-2.6.24-19-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

正预备替换 linux-image-2.6.24-21-generic 2.6.24-21.40 (使用 .../linux-image-2.6.24-21-generic_2.6.24-21.42_i386.deb) ...
Done.
正在解压缩将用于更替的包文件 linux-image-2.6.24-21-generic ...
dpkg:处理 /var/cache/apt/archives/linux-image-2.6.24-21-generic_2.6.24-21.42_i386.deb (--unpack)时出错:
无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-21-generic”做一个符号链接备份: 操作不允许
dpkg-deb: 子进程 paste 被信号(Broken pipe)终止了
Running postrm hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.24-21-generic
Found kernel: /boot/vmlinuz-2.6.24-19-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-31 23:18 
头像

注册: 2008-04-02 15:36
帖子: 724
地址: O_O
送出感谢: 0 次
接收感谢: 0 次
重新安装19,再remove


_________________
^o^ && O_O && ^_^
One World|One Dream|One Piece
愛 ^_^ 這個 美麗的世界O_O

本公司专治各种不服、不爽、谩骂、挑衅。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-09-01 10:38 

注册: 2008-08-31 0:12
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
能具体说说怎么做吗?\

找到具体做法了,呵呵,看看,具体的版本可能不太一样

解决升级时遇到的linux-image-2.6.24-19-generic_2.6.24-19.36_amd64.deb错误
2008-08-24 23:42
升级时遇到错误如下:

E: /var/cache/apt/archives/linux-image-2.6.24-19-generic_2.6.24-19.36_amd64.deb: 无法在安装新的版本前,为“./boot/vmlinuz-2.6.24-19-generic”做一个符号链接备份

解决方法:

sudo rm -fv /boot/initrd.img-2.6.24*.bak
sudo rm -fv /boot/vmlinuz-2.6.24-19-generic
sudo rm -fv /boot/initrd.img-2.6.24-19-generic
sudo rm -fv /boot/config-2.6.24-19-generic
sudo rm -fv /boot//abi-2.6.24-19-generic
sudo rm -fv /boot/System.map-2.6.24-19-generic

即可!然后就能正确更新!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译